 IDENTIFICATION DIVISION.
 PROGRAM-ID.    testgui01.  
 AUTHOR. Rildo Pragana.         
 REMARKS.
    Example tcl/tk GUI program for Cobol.
*
 ENVIRONMENT DIVISION.
 DATA DIVISION.
*
 WORKING-STORAGE SECTION.

    01      DATA-BLOCK.
        05  NAME        PIC X(40).
        05  W-ADDRESS     PIC X(50).
        05  PHONE       PIC X(15).
    01      DATA-BLOCK-SIZE COMP PIC 9(12) VALUE 105.
    01      SITE-INFO.
        05  TITLE       PIC X(20).
        05  URL         PIC X(50).
    01      SITE-INFO-SIZE COMP PIC 9(12) VALUE 70.
    copy tclb64.
    77 MYNAME pic X(80) value "RILDO PRAGANA".

 PROCEDURE DIVISION.
  
  CALL "initTcl" 
   
  MOVE "Your name here" to NAME
  MOVE "Your address" TO W-ADDRESS
  MOVE "Phone number" to PHONE.

* call C wrapper, passing data block and size of data
  CALL "testgui02" USING DATA-BLOCK DATA-BLOCK-SIZE EXAMPLE-GUI. 
  
  DISPLAY "Returned data:".
  DISPLAY "NAME    [" NAME "]".
  DISPLAY "ADDRESS [" W-ADDRESS "]".
  DISPLAY "PHONE   [" PHONE "]".
  
  STOP RUN.
